<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\property;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\property\PropertyHeadLists;
use app\adminapi\logic\property\PropertyHeadLogic;
use app\adminapi\logic\user\UserLogic;
use app\adminapi\validate\property\PropertyHeadValidate;


/**
 * PropertyHead控制器
 * Class PropertyHeadController
 * @package app\adminapi\controller
 */
class PropertyHeadController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/19 10:48
     */
    public function lists()
    {
        return $this->dataLists(new PropertyHeadLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/19 10:48
     */
    public function add()
    {
        $params = (new PropertyHeadValidate())->post()->goCheck('add');
        $result = PropertyHeadLogic::add($params);
        if (true === $result) {
            // 通过手机号查询用户是否注册 - 已注册绑定id ，未注册注册再绑定id
            $userId = UserLogic::getUserIdByMobile($params['head_mobile'], true);
            PropertyHeadLogic::updateUserId($params['head_mobile'],$userId);
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(PropertyHeadLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/19 10:48
     */
    public function edit()
    {
        $params = (new PropertyHeadValidate())->post()->goCheck('edit');
        $result = PropertyHeadLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(PropertyHeadLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/19 10:48
     */
    public function delete()
    {
        //$params = (new PropertyHeadValidate())->post()->goCheck('delete');
        //PropertyHeadLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/19 10:48
     */
    public function detail()
    {
        $params = (new PropertyHeadValidate())->goCheck('detail');
        $result = PropertyHeadLogic::detail($params);
        return $this->data($result);
    }

    /**
     * @notes 获取二维码
     * @return \think\response\Json
     */
    public function getQrcode()
    {
        $params = (new PropertyHeadValidate())->goCheck('detail');
        $result = PropertyHeadLogic::getWechatQrcode($params, $this->request->domain());
        return $this->data(['qrcode'=>$result]);
    }

}